#
# spec file for package obs-service-verify_file
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           obs-service-verify_file
Version:        0.1.1
Release:        3.6
URL:            http://build.opensuse.org
Summary:        An OBS source service: file verification
License:        MIT
Group:          Development/Tools/Building
Source:         verify_file
Source1:        verify_file.service
Source2:        LICENSE.txt
Requires:       coreutils
%if 0%{?fedora_version} >= 17
Requires:       perl-MD5
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It allows to verify a file with a given sha256sum

%prep
%setup -q -D -T 0 -c
cp %{SOURCE2} .

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 %{SOURCE0} %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/obs/service

%files
%defattr(-,root,root)
%doc LICENSE.txt
%dir %{_prefix}/lib/obs
%{_prefix}/lib/obs/service

%changelog
* Wed Dec  7 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Do not ever use "%%setup -n .": rpm 4.18 tries to be cleaner and
  remove stuff it extraced, which would lead to 'rm -rf .', which
  rm does not like. Use "%%setup -c" instead, which creates the
  appropriate %%{name}-%%{version} directory expected.
* Tue Feb 16 2016 adrian@suse.de
- protect parameter handling (boo#967265)
* Wed Jun  3 2015 suse-tux@gmx.de
- added "file" parameter to the service definition
* Wed Apr  3 2013 fa0sck@gmail.com
- add sha1sum to checksum verifiers
* Fri Mar  1 2013 fa0sck@gmail.com
- allow to switch among the provided checksum verifiers
* Fri Jun 22 2012 Rene.vanPaassen@gmail.com
- added a requirement on perl-MD5 for Fedora 17
* Thu Apr 12 2012 saschpe@suse.de
- Change license to MIT (see bnc#753973) and provide a copy of the license text
* Tue Mar 20 2012 saschpe@suse.de
- Renamed spec/changes file to OBS package name to please factory-auto review
- Added spec file license header
- Set license to SDPX style (GPL-2.0+
* Mon May 17 2010 adrian@suse.de
- initial package of version 0.1
  sha256sum verification only supported atm
